#include <iostream>

// Definition der Variablen
short operand1, operand2;   // Operanden
char oper;                  // Operator

// main() Funktion
int main()
{
    // Einlesen der Formel
    std::cout << "Formel nach folgender Syntax eingeben:\n"
                "Operand1 Operator Operand2\n"
                "Operator kann sein: + - * /\nFormel ? ";
    std::cin >> operand1 >> oper >> operand2;

    // Ergebnissausgabe vorbereiten
    std::cout << "Ergebnis: ";
    // Falls Operator +
    if (oper == '+')
        std::cout << (operand1 + operand2);
    else
        // Falls Operator -
        if (oper == '-')
            std::cout << (operand1 - operand2);
        else
            // Falls Operator *
            if (oper == '*')
                std::cout << operand1 * operand2;
            else
                // Falls Operator /
                if (oper == '/')
                    std::cout << operand1 / operand2;
                else
                    // Falscher Operator!
                    std::cout << "Nur die Operand +, -, * und / zugelassen!";
    // Zeilenvorschub ausgeben
    std::cout << '\n';
}
